<?php

// no direct access
if (!isset($gCms)) 
{
	exit(); 
}

// check login
check_login();

// check permission
if (!$this->CheckPermission('Modify Guestbook Template'))
{
    echo $this->ShowError($this->Lang('access_denied'));
}
else
{

	
	$template_id = 1;
	
	// restore the default template (and add an admin log message)
	if (isset($params['restore']))
	{
		include_once($this->GetModulePath().'/function.templates.php');
		$this->SetTemplate($params['edit_template'], GetGuestbookHtmlTemplate($params['edit_template'],$this->Lang('error_filenotfound_defaulttemplate')));
		$this->Audit($template_id, $this->GetName(), $this->Lang('admin_template_restored_logmessage'));
	}
	
	// save changes and log action after submit or apply
	if (isset($params['submit']) || isset($params['apply']))
	{
		$this->SetTemplate($params['edit_template'], $params['templatecontent']);
		$this->Audit($template_id, $this->GetName(), $this->Lang('admin_template_modified_logmessage'));
	}
	
	// redirect to defaultadmin after cancel or submit
	if (isset($params['cancel']) || isset($params['submit']))
	{
		$this->Redirect($id, 'defaultadmin', $returnid, array('active_tab' => 'templates'));
	}
	// otherwise (after apply or restore) redirect to defaultadmin with admin_template active tab
	else
	{
		$params['active_tab'] = $params['active_tab'];
		$this->Redirect($id, 'defaultadmin', '', $params);
	}

}

?>
