<?php

// no direct access
if (!isset($gCms)) 
{
	exit(); 
}
// check login
check_login();

if (! $this->CheckPermission('Modify Guestbook Entries'))
{
	echo $this->ShowError($this->Lang('access_denied'));
}
else
{
	
	
	$message_lang='error_admin_entry_deleted_logmessage';
	// activate the guestbook
	if (isset($params['entry_id']) && $params['entry_id'] != '')
	{
		include_once($this->GetModulePath().'/function.orm.php');
		$entryorm = LoadOrm('entry');
		$returnedid=$entryorm->DeleteById($params['entry_id']);
		if($returnedid)
		{
	
		// send event
			if (method_exists($this, 'SendEvent'))
			{
				$this->SendEvent('GuestbookEntryDeleted', array('entry_id' => $params['entry_id']));
			}
			// remove entry from search index
			if ($search = $this->GetModuleInstance('Search'))
			{
				$search->DeleteWords($this->GetName(), $params['entry_id'], 'guestbook');
			}
	
			$message_lang='admin_entry_deleted_logmessage';
			$this->Audit($returnedid,$this->GetName(),$this->Lang($message_lang));
		}
	
	}
	
	if(!isset($params['noredirect']))
	{
		$params1 = array('tab_message'=> $message_lang, 'active_tab' => 'entries');
		// redirect the user to the default admin screen
		$this->Redirect($id, 'defaultadmin', $returnid, $params1);
	}
}

?>
