<?php

// no direct access
if (!isset($gCms)) 
{
	exit(); 
}

//$frontend =& $this->GetFrontend($id, $params, $returnid);

if (!isset($params['show_entry']))
{
	echo $this->Lang('err_no_entry_id');
	return;
}

$entry = $this->GetEntryById($params['show_entry']);
if (!isset($entry))
{
	echo $this->Lang('err_entry_not_found', $params['show_entry']);
	return;
}

$dateformat = isset($params['dateformat']) ? $params['dateformat'] : 'd-m-Y';
$unix_time = strtotime($entry->GetTimestamp());
$entry->date = date($dateformat, $unix_time);
$entry->time = date("H:i", $unix_time);
$entry->sender->e_mail_cloaked = str_replace('.', ' <dot> ', str_replace('@', ' <at> ', $entry->sender->GetEmail()));

if ($frontend->getShowSmileys())
{
	$smiley_handler =& $this->GetSmileyHandler();
	$entry->SetMessage($smiley_handler->InsertSmileys($entry->GetMessage()));
}

$entry->SetMessage(nl2br($entry->GetMessage()));

$this->smarty->assign('entry', $entry);
	
/* assign titles */
$titles['date']      = $this->Lang('sdate');
$titles['time_hour'] = $this->Lang('uhr');
$titles['sender']    = $this->Lang('inam');
$titles['country']   = $this->Lang('country');
$titles['location']  = $this->Lang('location');
$titles['e_mail']    = $this->Lang('email');
$titles['homepage']  = $this->Lang('homepage');
$titles['message']   = $this->Lang('smessage');
$titles['back']      = $this->Lang('msg_back');
$this->smarty->assign('titles'  , $titles);

echo $this->ProcessTemplateFromDatabase('guestbook-entry');

?>
