{* This template is used to show a single guestbook entry, from search results for example *}
<div class="cms-guestbook-entry">
	<div class="cms-guestbook-entry-header">
		<div class="cms-guestbook-entry-posted">
			{$entry->GetDate()|date_format:$dateformat}
		</div>
		<div class="cms-guestbook-entry-sender">
			<span class="cms-guestbook-entry-sendername">{$entry->sender->GetName()}</span>
{if $entry->sender->location or $entry->sender->country}({/if}
{if $entry->sender->location}
			<span class="cms-guestbook-entry-location">{$entry->sender->location}</span>
{/if}
{if $entry->sender->location and $entry->sender->country}, {/if}
{if $entry->sender->country}
			<span class="cms-guestbook-entry-country">{$entry->sender->country}</span>
{/if}
{if $entry->sender->location or $entry->sender->country}){/if}
{if $entry->sender->email}
			<span class="cms-guestbook-entry-email">
{mailto address=$entry->sender->email encode="hex" text=$entry->sender->GetEmailCloaked() extra="title=\"`$titles.e_mail` `$entry->sender->name`\""}
			</span>
{/if}
		</div>
{if $entry->sender->homepage}
		<div class="cms-guestbook-entry-homepage">
			{$titles.homepage}: <a href="http://{$entry->sender->homepage}">{$entry->sender->homepage}</a>
		</div>
{/if}
	</div>
	<div class="cms-guestbook-entry-text">
		{$entry->GetMessage()}
	</div>
</div>

