<?php

global $gCms;

$access = $this->CheckPermission('Modify Guestbook Settings');
if (!$access)
{
	$this->admin->errors[] = $this->Lang('access_denied');
	return;
}

$this->smarty->assign('formstart', $this->CreateFormStart($id, 'save_settings', $returnid));
$this->smarty->assign('preferences_title', $this->Lang('preferences_title'));
$this->smarty->assign('searchsmileys_title', $this->Lang('searchsmileys_title'));
$this->smarty->assign('searchsmileys_checkbox', $this->CreateInputCheckBox($id, 'searchsmileys', 1, $this->GetPreference('searchsmileys', '0'), 'id="searchsmileys"'));
$this->smarty->assign('badwords_title', $this->Lang('badwords_title'));
$this->smarty->assign('badwords_textarea', $this->CreateTextArea(FALSE, $id, $this->GetPreference('badwords'), 'badwords', 'pagesmalltextarea', 'pagesmalltextarea', '', '', '80', '5'));
$this->smarty->assign('badwords_replacement_title', $this->Lang('badwords_replacement_title'));
$this->smarty->assign('badwords_replacement_input', $this->CreateInputText($id, 'badwords_replacement', $this->GetPreference('badwords_replacement')));
$this->smarty->assign('admin_entries_per_page_title', $this->Lang('admin_entries_per_page_title'));
$this->smarty->assign('admin_entries_per_page_input', $this->CreateInputText($id, 'admin_entries_per_page', $this->GetPreference('admin_entries_per_page', '20')));
$this->smarty->assign('admin_android_key_title', $this->Lang('admin_android_key_title'));
$this->smarty->assign('admin_android_key', $this->CreateInputText($id, 'admin_android_key', $this->GetPreference('admin_android_key', '50505050')));
$this->smarty->assign('id', $id);
$this->smarty->assign('submit', $this->CreateInputSubmit($id, 'submit', $this->Lang('save_settings')));
$this->smarty->assign('formend', $this->CreateFormEnd());
$wysiwyg_checkbox='';
if ($this->ModuleIsInstalled('FCKeditorX'))
{
	$wysiwyg_checkbox=$this->CreateInputCheckBox($id, 'wysiwyg', 1, $this->GetPreference('wysiwyg', '0'));
}

$this->smarty->assign('wysiwyg_title', $this->Lang('admin_wysiwyg_title'));
$this->smarty->assign('wysiwyg_checkbox', $wysiwyg_checkbox);



if ($this->ModuleIsInstalled('Captcha'))
{
	$captchatext = $this->Lang('captcha_module_installed') . ' (<a href="moduleinterface.php?module=Captcha&' . CMS_SECURE_PARAM_NAME . '=' . $_SESSION[CMS_USER_KEY] . '">'.Lang('setup').'</a>)';
} else {
	$captchatext = $this->Lang('captcha_module_not_installed');
}
$this->smarty->assign('captcha', $captchatext);

if ($this->ModuleIsInstalled('Smileys'))
{
	$smileytext = $this->Lang('smileys_module_installed') . '(<a href="moduleinterface.php?module=Smileys&' . CMS_SECURE_PARAM_NAME . '=' . $_SESSION[CMS_USER_KEY] . '">'.Lang('setup').'</a>)';
} else {
	$smileytext = $this->Lang('smileys_module_not_installed');
}
$this->smarty->assign('smileys', $smileytext);

// set the tab contents
$tab =& $this->admin->tabs['settings'];
echo $this->ProcessTemplate('admin_tab_settings.tpl');

?>