<?php

global $gCms;

$access = $this->CheckPermission('Modify Guestbook Template');
if (!$access)
{
	echo $this->ShowError($this->Lang('access_denied'));
	return;
}

$output = '';

$template_array = array(
'guestbook'                 => 'admin_template',
'guestbook-showform-button' => 'admin_showform_button_template',
'guestbook-entrylist'       => 'admin_entrylist_template',
'guestbook-form'            => 'admin_form_template', 
'guestbook-entry'           => 'admin_entry_template', 
'guestbook-email'           => 'admin_email_template'
);

if ($this->CheckPermission('Modify Guestbook Template')) {
	$edit_template_links = array();
	foreach ($template_array as $template => $helpstr)
	{
		if (isset($params['edit_template']) && $params['edit_template'] == $template)
		{
			$edit_template_links[] = '<strong>' . $this->Lang('title_tab_' . $helpstr) . '</strong>';
		}
		else
		{
			$edit_template_links[] = $this->CreateLink($id, 'defaultadmin', $returnid, $this->Lang('title_tab_' . $helpstr), array('active_tab' => 'templates', 'edit_template' => $template));
		}
	}
	$this->smarty->assign('edit_template_links', $edit_template_links);
	
	echo $this->ProcessTemplate('admin_tab_templates.tpl');

}

if (isset($params['edit_template']))
{
        $errormsg = '';    
        $input_content = $this->getTemplate($params['edit_template']);
    
        $this->smarty->assign('errormsg'    , $errormsg);
        $this->smarty->assign('startform'   , $this->CreateFormStart($id, 'admin_template', $returnid, 'post', '', false, '', array('edit_template' => $params['edit_template'], 'active_tab' => 'templates')));
        $this->smarty->assign('endform'     , $this->CreateFormEnd());
        $this->smarty->assign('content'     , $this->Lang('templatecontent'));
        $this->smarty->assign('inputcontent', $this->CreateTextArea(false, $id, $input_content, 'templatecontent'));
        $this->smarty->assign('submit'      , $this->CreateInputSubmit($id, 'submit' , lang('submit')));
		$this->smarty->assign('restore'     , $this->CreateInputSubmit($id, 'restore', $this->Lang('restore_to_defaults'), '', ''));
        // only show the cancel and apply button if the user also has 'Modify Guestbook Entries' permissions
        if ($this->CheckPermission('Modify Guestbook Entries'))
        {
            $this->smarty->assign('cancel'  , $this->CreateInputSubmit($id, 'cancel' , lang('cancel')));
            $this->smarty->assign('apply'   , $this->CreateInputSubmit($id, 'apply'  , lang('apply')));
        }
        
		echo $this->ProcessTemplate('admin_template_edit.tpl');
	}

// set the tab contents
//$tab =& $this->admin->tabs['templates'];
echo $output;

?>