<?php

// no direct access
if (!isset($gCms))
{
	exit();
}
// check login
check_login();

$tabsarray=array();
$tabsarray['entries']=false;
$tabsarray['guestbooks']=false;
$tabsarray['templates']=false;
$tabsarray['settings']=false;

if($this->CheckPermission('Modify Guestbook Entries') || $this->CheckPermission('Modify Guestbook Settings') || $this->CheckPermission('Modify Guestbook Template'))
{
	$tabsarray['guestbooks']=true;
}

$tabsarray['entries']=$this->CheckPermission('Modify Guestbook Entries');
	
$tabsarray['templates']=$this->CheckPermission('Modify Guestbook Template');
$tabsarray['settings']=$this->CheckPermission('Modify Guestbook Settings');

// only let people access module preferences if they have permission
if ($this->VisibleToAdminUser())
{

	$activetab=(isset($params['active_tab']) && $params['active_tab']!=''?$params['active_tab']:'');
	
	$tabheader=$this->StartTabHeaders();
	$tabcontent= $this->StartTabContent();
	$endtab=$this->EndTab();

	foreach($tabsarray as $key=>$value)
	{
		if($value)
		{
			$tabheader.= $this->SetTabHeader($key, $this->Lang('tabname_'.$key), ($activetab == $key));
			$tabcontent.=$this->StartTab($key,$params);
			@ob_start();
			$this->DoAction('admin_tab_' . $key, $id, $params);
			$text = @ob_get_contents();
			@ob_end_clean();
			$tabcontent.=$text;
			$tabcontent.=$endtab;
		}
	}

	$tabheader.=$this->EndTabHeaders();
	$tabcontent.=$this->EndTabContent();

	$smarty->assign('tabheaders',$tabheader);
	$smarty->assign('tabcontent', $tabcontent);

	$tpl = cms_join_path($this->GetModulePath(), 'templates', 'k_defaultadmin.tpl');
	$smarty->display($tpl);

}
else
{
	$this->ShowError($this->Lang('access_denied'));
}

echo '<a href="http://cmsms-guestbook.blogspot.com/" title="visit my cmsms guestbook blog">Visit the CMSMS Guestbook Blog <img src="'.$config['root_url'].'/modules/Guestbook/images/blogger-logo-small.png"/></a>';


?>