<?php

// no direct access
if (!isset($gCms)) 
{
	exit(); 
}
// check login
check_login();

// check permission

// user doesn't have sufficient privileges
if (! $this->CheckPermission('Modify Guestbook Entries'))
{
    // show an error message
    echo $this->ShowError($this->Lang('access_denied'));
}
// user has sufficient privileges
else
{
    
    $message_lang='error_admin_entry_activated_logmessage';
    // activate the guestbook
    if (isset($params['entry_id']) && $params['entry_id'] != '')
    {
    	include_once($this->GetModulePath().'/function.orm.php');
    	$entryorm = LoadOrm('entry');
    	$returnedid=$entryorm->SetActiv($params['entry_id'],true);
    	if($returnedid)
    	{
    
    	// send event
			if (method_exists($this, 'SendEvent'))
			{
				$this->SendEvent('GuestbookEntryActivated', array('entry_id' => $params['entry_id']));
			}
			// add entry to search index
			$entry = $entryorm->GetById($params['entry_id'],true);
			if ($search = $this->GetModuleInstance('Search'))
			{
				$str = $entry->GetVariable('sender'); 
				foreach(array('country','location','message') as $key=>$value)
				{
					$str.= ' ' . $entry->GetVariable($value);
				}
				
				$search->AddWords($this->GetName(), $params['entry_id'], 'guestbook', $str);
			}
    
    		$message_lang='admin_entry_activated_logmessage';
    		$this->Audit($returnedid,$this->GetName(),$this->Lang($message_lang));
    	}
    
    }
    
    if(!isset($params['noredirect']))
    {
    	$params1 = array('tab_message'=> $message_lang, 'active_tab' => 'entries');
    	// redirect the user to the default admin screen
    	$this->Redirect($id, 'defaultadmin', $returnid, $params1);
    }
    
    
}

?>