<?php

// no direct access
if (!isset($gCms)) 
{
	exit(); 
}
// check login
check_login();

// user doesn't have sufficient privileges
if (! $this->CheckPermission('Modify Guestbook Entries'))
{
    // show an error message
    echo $this->ShowError($this->Lang('access_denied'));
}
// user has sufficient privileges
else
{
   


$message_lang='error_admin_entry_deactivated_logmessage';
// activate the guestbook
if (isset($params['entry_id']) && $params['entry_id'] != '')
{
	include_once($this->GetModulePath().'/function.orm.php');
	$entryorm = LoadOrm('entry');
	$returnedid=$entryorm->SetActiv($params['entry_id'],false);
	if($returnedid)
	{
		
		if (method_exists($this, 'SendEvent'))
		{
			// send event
			$this->SendEvent('GuestbookEntryDeactivated', array('entry_id' => $params['entry_id']));
		}
			
		// remove entry from search index
		if ($search = $this->GetModuleInstance('Search'))
		{
			$search->DeleteWords($this->GetName(), $params['entry_id'], 'guestbook');
		}
		
		$message_lang='admin_guestbook_deactivated_logmessage';
		$this->Audit($returnedid,$this->GetName(),$this->Lang($message_lang));
	}

}

if(!isset($params['noredirect']))
{
	$params1 = array('tab_message'=> $message_lang, 'active_tab' => 'guestbooks');
	// redirect the user to the default admin screen
	$this->Redirect($id, 'defaultadmin', $returnid, $params1);
}
}
?>