<?php

// no direct access
if (!isset($gCms))
{
	exit();
}
// check login
check_login();

// check permission

// user doesn't have sufficient privileges
if (! $this->CheckPermission('Modify Guestbook Entries'))
{
	// show an error message
	echo $this->ShowError($this->Lang('access_denied'));
	return;
}
include_once($this->GetModulePath().'/function.orm.php');

$params1=array();
$params1['active_tab']='guestbooks';
if (isset($params['cancel_guestbook_add']))
{

	$params1['tab_message']='admin_cancel_message';
	$this->Redirect($id,'defaultadmin',$returnid,$params1);
}


$error = '';
$name = (isset($params['guestbook_name'])?$params['guestbook_name']:"");
$descr = (isset($params['guestbook_description'])?$params['guestbook_description']:'');
$active=isset($params['guestbook_active']) && $params['guestbook_active'] == 1 ? true : false;
if (isset($params['submit_guestbook_add']))
{
$guestbookorm = LoadOrm('guestbook');
	$validinfo = true;

	
	$returnedid=false;

	if ($name == "")
	{
		$error .= $this->Lang('fabsend');
		$validinfo = false;
	}



	if($validinfo)
	{
		$returnedid=$guestbookorm->GuestbookGuestbook($name, $descr, $active);
		$this->Audit($returnedid,$this->GetName(),$this->Lang('admin_guestbook_added_logmessage'));
		$params1['tab_message']='admin_guestbook_added_logmessage';
		$this->Redirect($id,'defaultadmin',$returnid,$params1);
	}


}


$this->ShowError($error);

$smarty->assign('formstart', $this->CreateFormStart($id, 'guestbook-add', $returnid, 'post'));


$smarty->assign('title', $this->Lang('adding_guestbook'));
$smarty->assign('name_title', $this->Lang('inam'));
$smarty->assign('name', $this->CreateInputText($id, 'guestbook_name', $name, '24', '255', ''));
$smarty->assign('description_title', $this->Lang('description'));
$smarty->assign('description', $this->CreateInputText($id, 'guestbook_description', $descr, '48', '255', ''));
$smarty->assign('active_title', Lang('active'));
$smarty->assign('active', $this->CreateInputRadioGroup($id, 'guestbook_active', array(Lang('true') => 1, Lang('false') => 0), $active ? 1 : 0, '', '&nbsp;'));
$smarty->assign('submit', $this->CreateInputSubmit($id, 'submit_guestbook_add', lang('add')));
$smarty->assign('cancel', $this->CreateInputSubmit($id, 'cancel_guestbook_add', lang('cancel')));

$smarty->assign('formend', $this->CreateFormEnd());

echo $this->ProcessTemplate('admin_guestbooks_add_edit.tpl');

?>