<?php

// no direct access
if (!isset($gCms))
{
	exit();
}
// check login
check_login();

// check permission

// user doesn't have sufficient privileges
if (! $this->CheckPermission('Modify Guestbook Entries'))
{
	// show an error message
	echo $this->ShowError($this->Lang('access_denied'));
	return;
}

$message_lang='error_admin_guestbook_deactivated_logmessage';
// activate the guestbook
if (isset($params['guestbook_id']) && $params['guestbook_id'] != '')
{
	include_once($this->GetModulePath().'/function.orm.php');
	$guestbookorm = LoadOrm('guestbook');
	$returnedid=$guestbookorm->SetActiv($params['guestbook_id'],false);
	if($returnedid)
	{
		$message_lang='admin_guestbook_deactivated_logmessage';
		$this->Audit($returnedid,$this->GetName(),$this->Lang($message_lang));
	}

}

if(!isset($params['noredirect']))
{
$params1 = array('tab_message'=> $message_lang, 'active_tab' => 'guestbooks');
// redirect the user to the default admin screen
$this->Redirect($id, 'defaultadmin', $returnid, $params1);
}


?>
