<?php
/**
 * Returns the (default) guestbook entry template
 * @param $templatename
 * @return string
 */
function GetGuestbookHtmlTemplate($templatename,$error)
{
	$tpl_base = cms_join_path(dirname(__FILE__), 'templates');
	$default_template = cms_join_path($tpl_base, 'db', $templatename . '-default.tpl');
	$custom_template  = cms_join_path($tpl_base, 'db', $templatename . '.tpl');
	if (is_file($custom_template)) {
		return file_get_contents($custom_template);
	}
	elseif (is_file($default_template)) {
		return file_get_contents($default_template);
	}
	else
	{
		return $error;
	}
}
?>