<?php

/**
*------------------------------------------------------
* General begin
*------------------------------------------------------
*/
$lang['module_friendlyname'] = 'Guestbook';
$lang['default_guestbook_name'] = 'default';
$lang['default_guestbook_descr'] = 'The first/default guestbook';
$lang['module_example_stylesheet'] = 'Guestbook (default/example stylesheet)';
$lang['module_example_stylesheet_intro'] = 'Default/example stylesheet for the CMSMS Guestbook module.
This may be overwritten when the module is upgraded and it will be deleted when 
the module is uninstalled, so make a copy if you want to modify it.';
$lang['captcha'] = 'Captcha';
$lang['captcha_title'] = 'Please enter the text in the image below';
$lang['captcha_failure_message'] = 'The text from the image was not entered correctly';
$lang['timespan'] = 'Minimal timespan between posts';
$lang['err_invalid_mode'] = "Error: an invalid mode parameter was specified. Valid modes are: %s.";
$lang['err_no_entry_id'] = "Error: no entry_id parameter given. With mode=entry a entry_id parameter should also be specified.";
$lang['err_entry_not_found'] = "Error: there is no guestbook entry with entry_id %s";
$lang['error_template_filenotfound'] = "Error: template file %s could not be found!";

/**
*------------------------------------------------------
* General end
*------------------------------------------------------
*/

/**
*------------------------------------------------------
* Guestbook begin
*------------------------------------------------------
*/
$lang['default']  = 'Default';
$lang['add_guestbook'] = 'Create a new guestbook';
$lang['adding_guestbook'] = 'Add a new guestbook';
$lang['editing_guestbook'] = 'Edit existing guestbook';
$lang['set_as_default'] = 'Set as default';
$lang['confirm_set_as_default'] = 'Set this guestbook as the default?';
$lang['confirm_delete_guestbook'] = 'Delete the guestbook with ID %s? The %s entries inside will be deleted as well!';
/**
*------------------------------------------------------
* Guestbook entry begin
*------------------------------------------------------
*/
$lang['id']       = 'Id';
$lang['date']     = 'Date';
$lang['sender']   = 'Sender';
$lang['email']    = 'E-mail';
$lang['country']  = 'Country';
$lang['location'] = 'Location';
$lang['homepage'] = 'Homepage';
$lang['message']  = 'Message';
$lang['posted']   = 'Posted';
$lang['ip_addr']  = 'IP Address';

$lang['alength']  = 'Remaining chars';
$lang['active']   = 'Active';
/**
*------------------------------------------------------
* Guestbook entry end
*------------------------------------------------------
*/

/**
*------------------------------------------------------
* Admin related begin
*------------------------------------------------------
*/

$lang['access_denied'] = 'Access Denied';

$lang['restore_to_defaults'] = 'Restore to default';
$lang['restore_to_defaults_warning'] = 'This operation will restore the template contents to the system default. This will overwrite any changes made to the template. Are you sure you want to procede?';

$lang['addgait']  = 'Add Guestbook Entry';
$lang['postdate'] = 'Postdate';

$lang['ativi']    = 'Activate';
$lang['deakti']   = 'Deactivate';

// admin navigation
$lang['title_mod_admin']    = 'Manage Guestbook Entries';
$lang['tabname_templates'] = 'Templates ';
$lang['tabname_guestbooks'] = 'Guestbooks';
$lang['tabname_entries'] = 'Entries';
$lang['title_mod_templates'] = 'Templates';
$lang['tabname_settings'] = 'Module Preferences';
$lang['title_tab_admin_templates'] = 'Guestbook Templates';
$lang['title_tab_admin_template'] = 'Guestbook Template';
$lang['title_tab_admin_entrylist_template'] = 'Entry List Template';
$lang['title_tab_admin_entry_template'] = 'Entry Template';
$lang['title_tab_admin_form_template']      = 'Form Template';
$lang['title_tab_admin_email_template']      = 'E-mail Template';
$lang['title_tab_admin_showform_button_template'] = 'Show Form Template';
// end admin navigation

$lang['templatecontent'] = 'Template Content';
$lang['admin_template_modified_logmessage'] = 'Modified Guestbook Template';
$lang['admin_template_restored_logmessage'] = 'Restored Guestbook Template To Default';

$lang['admin_entry_added_logmessage']       = 'Added Guestbook Entry';
$lang['admin_entry_modified_logmessage']    = 'Modified Guestbook Entry';
$lang['admin_entry_deleted_logmessage']     = 'Deleted Guestbook Entry';
$lang['admin_entry_activated_logmessage']   = 'Activated Guestbook Entry';
$lang['admin_entry_deactivated_logmessage'] = 'Deactivated Guestbook Entry';
$lang['admin_guestbook_added_logmessage'] = 'Guestbook Added';
$lang['admin_guestbook_edit_logmessage'] = 'Modified Guestbook';
$lang['admin_guestbook_activated_logmessage'] = 'Guestbook Activated';
$lang['admin_guestbook_deactivated_logmessage'] = 'Guestbook Deactivated';

$lang['admin_entry_message_nosender'] = 'Please enter a sender name';
$lang['wrong_date_format'] = 'Date format should have the format: YYYY-MM-DD HH:MM:SS';
$lang['fieldnames'] = 'Field Names';

$lang['captcha_module_installed'] = 'The Captcha module is installed';
$lang['captcha_module_not_installed'] = 'The Captcha module is not installed';

$lang['smileys_module_installed'] = 'The Smileys module is installed';
$lang['smileys_module_not_installed'] = 'The Smileys module is not installed';

$lang['preferences_title'] = 'Guestbook Preferences';
//$lang['cap'] = ;
$lang['admin_wysiwyg_title'] = 'Use WYSIWYG on the  guestbook entry form';
$lang['searchsmileys_title'] = 'Use smileys in search results';
$lang['save_settings'] = 'Save Settings';
$lang['settings_saved'] = 'The settings were successfully updated.';
$lang['badwords_title'] = 'Words that are not allowed';
$lang['badwords_replacement_title'] = 'Replace bad words with';
$lang['admin_entries_per_page_title'] = 'Entries per page (admin)';
$lang['admin_android_key'] = 'The Admin Android Key for the Android App (50505050 should be changed)';

$lang['description'] = 'Description';

$lang['admin_cancel_message'] = 'Edit or Add Entry canceled';

/**
*------------------------------------------------------
*Admin related end
*------------------------------------------------------
*/

/**
*------------------------------------------------------
*Contenttype related begin
*------------------------------------------------------
*/
$lang['nummer'] = 'Number of messages per page';
$lang['postchar'] = 'Maximum message size';
$lang['emailnot'] = 'Notification email';
$lang['sortasc'] = 'Sort ascending (ASC)';
$lang['smile'] = 'Smiley';
$lang['shmenow'] = 'Show message immediately';
$lang['datefora'] = 'Date format';
$lang['lang'] = 'Locale (e.g. en_US)';
$lang['showaddform'] = 'Show insert form immediately';
/**
*------------------------------------------------------
*Contenttype related end
*------------------------------------------------------
*/

/**
*------------------------------------------------------
*Visitor related begin
*------------------------------------------------------
*/
$lang['fabsend'] = "Please insert your name"; // used after empty name submit
$lang['fmessag'] = "Please insert a message"; // used after empty message submit
$lang['femail'] = "Please insert a valid E-Mail address";
$lang['tolong'] = "Too many characters. Please make the message shorter.";
$lang['toosoon'] = "Your last post was only %s seconds ago. The minimal timespan between posts is %s seconds";
$lang['fui'] = "Your message was already sent";
$lang['badwords_message'] = "These words are not allowed: %s";
$lang['showitnow'] = "Your message was inserted. Thank you!";
$lang['showitlater'] = "Thank you! The message will appear after it's validated by administrator.";
$lang['msg_back'] = 'back';
	
$lang['inam'] = "Name";
$lang['imessag'] = "Your Message";
$lang['smessage'] = "Message";
$lang['sdate'] = "Date";
$lang['ginsert'] = "Insert";
$lang['cancel'] = "Cancel";
$lang['uhr'] = "hour";
$lang['e_mailnotibetr'] = "New Entry in your Guestbook";
$lang['e_mailnotimessage'] = "There's a new entry in your guestbook.";
	
$lang['neuein'] = "New Guestbook entry";
$lang['einerseit'] = "one Page";
$lang['eintragauf'] = "Posts on";
$lang['seitpage'] = "Pages";
$lang['backzu'] = "&lt;&lt; Back";
$lang['nextwei'] = "Next &gt;&gt;";

// Pagination
$lang['first_text'] = "&iota;&lsaquo;";
$lang['prev_text'] = "&lt; prev";
$lang['next_text'] = "next &gt;";
$lang['last_text'] = "&rsaquo;&iota;";
$lang['pagination_of'] = "of";
	
$lang['title_table_smileys'] = "Smileys";
/**
*------------------------------------------------------
*Visitor related end
*------------------------------------------------------
*/

/**
*------------------------------------------------------
*Confirmmessage begin
*------------------------------------------------------
*/
$lang['ativimes']= 'Activate this message?';
$lang['deaktimes']= 'Deactivate this message?';
/**
*------------------------------------------------------
*Confirmmessage end
*------------------------------------------------------
*/

/**
*------------------------------------------------------
*Events begin
*------------------------------------------------------
*/
$lang['event_info_GuestbookEntryPosted']='Event triggered when a new Guestbook entry is added';
$lang['event_help_GuestbookEntryPosted']='<p>Event triggered when a new Guestbook entry is added.</p>
  	 <h4>Parameters</h4>
  	 <ul>
		<li><em>entry_id</em> - The entry id (int)</li>
		<li><em>entry_sender</em> - The name the sender entered (string)</li>
		<li><em>entry_email</em> - The E-mail address entered (string)</li>
		<li><em>entry_homepage</em> - The homepage entered (string)</li>
		<li><em>entry_message</em> - The message entered (string)</li>
		<li><em>entry_country</em> - The country entered (string)</li>
		<li><em>entry_location</em> - The location entered (string)</li>
		<li><em>entry_date</em> - The post date (string)</li>
		<li><em>entry_approved</em> - Whether the entry is activated at once, 1 if it is, -1 if not (int)</li>
  	 </ul>
';
$lang['event_info_GuestbookEntryDeleted'] = 'Event triggered when a Guestbook entry is deleted';
$lang['event_help_GuestbookEntryDeleted'] = 'Event triggered when a Guestbook entry is deleted
  	 <h4>Parameters</h4>
  	 <ul>
	  	 <li><em>entry_id</em> - The entry id (int)</li>
  	 </ul>
';
$lang['event_info_GuestbookEntryActivated'] = 'Event triggered when a Guestbook entry is activated';
$lang['event_help_GuestbookEntryActivated'] = 'Event triggered when a Guestbook entry is activated
  	 <h4>Parameters</h4>
  	 <ul>
  	 <li><em>entry_id</em> - The entry id (int)</li>
  	 </ul>
';
$lang['event_info_GuestbookEntryDeactivated'] = 'Event triggered when a Guestbook entry is de-activated';
$lang['event_help_GuestbookEntryDeactivated'] = 'Event triggered when a Guestbook entry is de-activated
  	 <h4>Parameters</h4>
  	 <ul>
  	 <li><em>entry_id</em> - The entry id (int)</li>
  	 </ul>
';

/**
*------------------------------------------------------
*Events end
*------------------------------------------------------
*/


/**
*------------------------------------------------------
*Install & Uninstall & Help & Changelog begin
*------------------------------------------------------
*/
$lang['inposmes']       = 'Make sure to set the "Modify Guestbook Entries" permission for users who will be administering Guestbook items and "Modify Guestbook Template" permission for users who should be able to modify the guestbook template.<br />Attach the Stylesheet named "%s" to the template used to style the guestbook.';
$lang['moddescription'] = 'Manage the guestbook entries and template.';
$lang['uninstall_pre_message'] = 'The %s entries in your guestbook will be permanently deleted!';
$lang['uninstall_pre_message_single'] = 'There is 1 entry in your guestbook that will be permanently deleted!';
$lang['postuninstall']  = 'Guestbook successfully uninstalled.';

/**
* Module parameters begin
*/
$lang['help_mode'] = '"guestbook", "form", "entrylist" or "entry"';
$lang['help_show_entry'] = 'ID of an entry to show (mode="entry" is assumed)';
$lang['help_guestbook'] = 'Guestbook ID';
$lang['help_textleng'] = 'Sets how many characters can be entered. The default is 1000 characters. This parameter affects both server-side and client-side validation.';
$lang['help_number'] = 'Maximum number of entries shown on a page.';
$lang['help_timespan'] = 'Minimal timespan between posts (in seconds).';
$lang['hide_insertbutton_after_post'] = 'When post is done, insert button will not be displayed.';
$lang['help_mailnoti'] = 'E-mail address to send a notification to if a message was submitted. The CMSMailer module will be used for sending the E-mail if it is installed (otherwise PHP\'s mail function is used).';
$lang['help_sortasc'] = 'Sort guestbook items in ascending date order (new posts will go to the end).';
$lang['help_dateformat'] = 'Change the way the Date will display, it takes the PHP format codes';
$lang['help_shownow'] = 'Shows messages right after submission, without approval by an admin.';
$lang['help_smiley'] = 'Translate text-based smileys to image smileys and shows the smiley table on the entry submit form. Uses the Smiley module if it is installed.';
$lang['help_captcha'] = 'This will enable captcha on the guestbook entry form. The Captcha module must be installed for this parameter to work.';
$lang['help_showaddform'] = 'Shows the insert form on the first page.  Replaces the "New Guestbook Entry" button.';
/**
* Module parameters end
*/

$lang['help'] = <<<EOF

<h3>What does it do?</h3>
<p>
    The guestbook module is a content module and a CMSMS tagmodule.
    It gives visitors the ability to leave a message, for example about how they like the website.
</p>

<h3>Security</h3>
<p>
    The user must belong to a group with the 'Modify Guestbook Entries' permission in order to add, edit, or delete guestbook entries.<br />
    In order to be able to modify the guestbook entry template, 'Modify Guestbook Template' permission is required.
</p>

<h3>How do I use it?</h3>
<p>
    <br />
    If you want to add the module after some other content you can insert it using the cms_module tag. This will insert the guestbook into your template/page anywhere you wish.<br /> 
    The code would look something like: <code>{cms_module module="Guestbook" guestbook="1" number=5 shownow=0 smiley=0 mailnoti=you@example.com dateformat="%d-%m-%Y %H:%M"}</code>
</p>

<h3>What Design potentials are there?</h3>

<p>
    An example stylesheet for the default database template is installed with the module.<br />
    The default stylesheet is deleted when the module is uninstalled and may be overwitten by an upgrade, so you might want to use a copy if you modify it.<br />
    Attach the stylesheet to the page template used.
</p>

<p>
    Most templates used on the module front-end are stored in the database and can be edited from the admin panel.
</p>
<p>
    In the module directory there's a directory called templates where all other templates are stored. You should not modify these
    because by a update they will be overwritten.
    if you want to modify these follow the steps by this <a href="http://docs.cmsmadesimple.org/customizing/customizing-admin-templates">tutorial</a>.
</p>

<strong>Front End</strong>
<p>
smiley.tpl -> The smiley table, used when the smiley parameter is used and the Smileys module is not installed.<br/>
</p>

<p>
    Inside the template directory there's a directory called db. This stores the guestbook database templates, which can be edited from the Guestbook admin area.
	The contents of these files is copied to the database during module installation and when a template is restored to default from the admin panel.<br />
	By default the files that come with the module (names ending with -default.tpl) are used, but if a (custom) file is present where -default is left out in the name, this file will be used instead.
	in later version of the modul this behavier will be completly changed by the default way CMSMS do that.
	see this <a href="http://docs.cmsmadesimple.org/customizing/customizing-admin-templates">tutorial</a> 
</p>

EOF
;

$lang['changelog']='
<ul>
	<li>
		<strong>Version 1.4 RC2</strong><br />
		Fixes:
		<ul>
            <li>Fixed module compatibility with latest CMS Made Simple versions (1.11+)</li>
            <li>Mailnotification solved</li>
            <li>Wrong Admin Link and Contentsitelink in Mailnotification solved</li>
		</ul>
        Improvements:
        <ul>
            <li>-</li>
        </ul>
        New Feature:
        <ul>
            <li>-</li>

        </ul>
        Minor fixes:
        <ul>
            <li>-</li>
        </ul>
	</li>
	<li>
		<strong>Version 1.3.3.3</strong><br />
		Fixes:
		<ul>
            <li>Fixed module compatibility with latest CMS Made Simple versions (1.11+)</li>
            <li>removed a lot of bugs to many to listen</li>
            <li>Completly redesigned backend handling for better scalable</li>
            <li>removed shownow problem and added feature default guestbook</li>
            <li>added some strings for better feedback to admin or user</li>
		</ul>
        Improvements:
        <ul>
            <li>-</li>
        </ul>
        New Feature:
        <ul>
            <li>-</li>

        </ul>
        Minor fixes:
        <ul>
            <li>-</li>
        </ul>
	</li>
	<li>
		<strong>Version 1.3.3.2 (1.3.1 and next releases)</strong><br />
		Fixes:
		<ul>
            <li>Fix content type cache problem: experiencing blank content after the first refresh</li>
            <li>Add javascript name of the javascript function for smiley popup</li>
            <li>Default dateformat was wrong when updating from RC5</li>
            <li>Privilege error messages and useless display of tab in administration of the module are now fixed</li>
			<li><span style="font-style:italic;font-weight: bold;">Now fully compatible with CMSMS 1.10</span></li>
		</ul>
        Improvements:
        <ul>
            <li>Adding dateformat exemple</li>
            <li>New Regexp for email validation</li>
            <li>Stylesheet media set to "handheld, screen, tv"</li>
        </ul>
        New Feature:
        <ul>
            <li>Smiley in Front Wysiwyg</li>

        </ul>
        Minor fixes:
        <ul>
            <li>W3 proof for Javascript</li>
            <li>Few PHP Notices and warnings</li>
        </ul>
	</li>
	<li>
		<strong>Version 1.3.0</strong><br />
        <span style="color:#FF0000;font-style:italic;display:block;">You have to reset your Guestbook templates when upgrade to this version.</span>
		Fixes:
		<ul>
            <li><span style="font-weight: bold;">Content type is now USABLE</span></li>
			<li>Fixed page printing in random</li>
            <li>Fixed XSS security issue in next parameter (Pagination class)</li>
            <li>Fixed message list table who can be broken by HTML in message</li>
            <li><span style="font-style:italic;font-weight: bold;">Now fully compatible with CMSMS 1.8</span></li>
		</ul>
        Improvements:
        <ul>
            <li>Content type: More date format</li>
            <li>Prettier URL</li>
            <li>Some translation and admin display improvements</li>
            <li>Completely rewrited Pagination module (faster and more secure)</li>
        </ul>
        New Feature:
        <ul>
            <li>Smiley in Front Wysiwyg</li>
            <li>Front date format can be specified in GetDate() in <a href="http://php.net/manual/en/function.date.php">php format</a> (not english only)</li>
            <li>Front date format is now using smarty to get multilanguage capability - date format should be set as <a href="http://www.smarty.net/manual/en/language.modifier.date.format.php">smarty format</a></li>
            <li>Possibility to select all current entry</li>
            <li>Pagination rewrited to be more speed and usefull</li>
            <li>Managing in which guestbook is the entry</li>
            <li>Multiple destination for notification mail</li>
        </ul>
        Minor fixes:
        <ul>
            <li>W3 proof for Javascript</li>
            <li>Few PHP Notices and warnings</li>
        </ul>
	</li>
	<li>
		<strong>Version 1.1.12</strong><br />
		Fixes:
		<ul>
			<li>Fixed bug when posting a new entry with mod_rewrite on (Thanks to blast2007)</li>
			<li>Fixed incorrect stripping of quotes returned by GetTimestamp</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.11</strong><br />
		Fixes:
		<ul>
			<li>Fixed module compatibility with latest CMS Made Simple versions (1.5+)</li>
			<li>Fixed pagination not using full table width</li>
			<li>Fixed some small bugs adding/editing an guestbook entry</li>
			<li>Fixed special characters in (translated) pre-uninstall message(s) not being shown correctly</li>
			<li>Fixed language setting from CMS Made Simple Global Settings not being applied</li>
		</ul>
		Improvements:
		<ul>
			<li>You can now edit a guestbook entry date in the backend</li>
			<li>The number of entries shown per page in the backend is now configurable</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.10</strong>
		<ul>
			<li>FIX: Removed this warning from the admin panel: "Warning: vsprintf() [function.vsprintf]: Too few arguments in /home/mywebsite/public_html/lib/translation.functions.php on line 62"</li>
			<li>FIX: Insert of new entries failed, when none mandatory fields were removed from the form.</li>
			<li>FIX: Pagination created invalid XHTML (Text attribute removed)</li>
			<li>CHG: Smileys are now inserted on click via JavaScript. Plain text smileys moved into hint.</li>
			<li>FIX: Wrong encoding and HTML entities in notification emails.</li>
			<li>FIX: Enabled translation for pagination "First" and "Last".</li>
			<li>CHG: Update SmartyPaginate from 1.5 to 1.6-dev</li>
			<li>FIX: Wrong language field "e_mail" in email notification.</li>
			<li>FIX: Module CMSMailer was not detected/used on PHP4</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.9</strong>
		<ul>
			<li>Prevent an E-mail being sent to no address when the mailnoti parameter is not being used</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.8</strong>
		<ul>
			<li>Fixed too short ip_address field</li>
			<li>Moved templates to a single tab in the admin</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.7</strong>
		<ul>
			<li>Fixed references to old file locations</li>
			<li>Fixed Javascript warning when WYSIWYG is used</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.6</strong>
		<ul>
			<li>Fixed character counter not working with FCKeditor</li>
			<li>Moved errormessage to lang file</li>
			<li>Deleted some redundant files</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.5</strong>
		<ul>
			<li>Fixed ModuleIsInstalled method always returning false for admin modules/FCKEditorX</li>
			<li>Fixed character counter always starting at 1000</li> 
		</ul>
	</li>
	<li>
		<strong>Version 1.1.4</strong>
		<ul>
			<li>Fixes breaks in messages not showing in 1.1.3</li>
			<li>Added (optional) basic WYSIWYG on the Guestbook entry form</li>
			<li>Added logging of guestbook entry sender IP address</li>
			<li>Added "Modify Guestbook Settings" permission</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.3</strong>
		<ul>
			<li>Improved pagination</li>
			<li>Rewrote front-end code to use Smarty for all output</li>
			<li>The front-end Smarty templates now use arrays</li>
			<li>Made most front-end templates editable from the admin</li>
			<li>Added events</li>
			<li>Added bad word filter</i>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.2</strong>
		<ul>
			<li>Fixed a bug where the Next button would show when it shouldn\'t</li>
			<li>Any guestbook content is deleted on uninstall to prevent fatal errors in cmsmadesimple-1.x</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1.1</strong>
		<ul>
			<li>Compatiblity changes for cmsmadesimple-1.0 and a small bugfix</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.1</strong>
		<ul>
			<li>Added Captcha support (in a seperate Captcha module)</li>
			<li>Added timespan parameter (minimal timespan between posts)</li>
			<li>Added location field (for State/Province/City/Town)</li>
			<li>Make use of the Smiley module if it is installed</li>
			<li>Made the module compatible with the cmsmadesimple-1.0 series</li>
			<li>Minimal required CMS version changed to 0.13</li>
		</ul>
	</li>
	<li>
		<strong>Version 1.0</strong>
		<ul>
			<li>Renamed module (from gastbuch) to Guestbook to represent the projects natural language and follow CMS Made Simple module naming conventions.</li>
			<li>Enabled handling (deleting, activating and deactivating) of multiple guestbook entries from the admin panel.</li>
			<li>There are now seperate \'Modify Guestbook Entries\' and \'Modify Guestbook Template\' permissions.</li>
			<li>A default/example stylesheet is installed (and uninstalled) with the module.</li>
			<li>The database template can be restored to default.</li>
			<li>Changed to tabbed navigation.</li>
			<li>Cleanup/rewrite of the guestbook(item) database template and the variables used in it.</li>
			<li>Translated many variable names and code comments to english.</li>
			<li>Moved some admin and log messages to the language file.</li>
			<li>Re-formatted source code for better readability.</li>
			<li>The module now also works in combination with a PostgreSQL database.</li>
			<li>Changed the input format for the dateformat parameter from MySQL format to PHP format.</li>
			<li>A new variable is assigned to the (database) guestbookentry template: $e_mail_cloaked. This is the E-mail address, with @ replaced by &lt;at&gt; and . by &lt;dot&gt;.</li>
			<li>Extended the notification E-mail, it now sends the new guestbook entry in the notification message.</li>
			<li>New finnish translation and updated dutch and norwegian translations from the translation center.</li>
		</ul>
	</li>
	<li>
		<strong>Version 0.9</strong>
		<ul>
			<li>The guestbook frontend now uses a database template (in stead of the showmessage*.tpl files) that can be modified from the admin panel</li>
			<li>The dateformat parameter is now called dateformat (was dateform). Note: this means you will have to recreate any guestbook content pages or manually edit the tables cms_content and cms_content_props</li>
			<li>New french translation and modified translations for other languages from the translation center</li>
		</ul>
	</li>
	<li>
		<strong>Version 0.8</strong><br />
		Fixed:
		<ul>
			<li>not working smileys on gastbuch Content page in version 0.7</li>
		</ul>
		Cleanup:
		<ul>
			<li>mainly removal of unneccary references to the global $gCms</li>
			<li>renamed email textfield to e_mail (it was called betreff, probably an old subject field)</li>
		</ul>
		Improvements:
		<ul>
			<li>newly submitted newsentry is shown in the list</li>
			<li>brackets around submitter country are no longer shown if a country wasn\'t entered</li>
			<li>translated the lang file to dutch (except for help and changelog)</li>
			<li>the gastbuch module now makes use of translations entered in the translation center translations.cmsmadesimple.org</li>
		</ul>
		Changed:
		<ul>
			<li>The template variable name for the country in showmessage.tpl is now called $country (was $countryshow in previous versions)</li>
		</ul>
	</li>
	<li>
		<strong>Version 0.7</strong>
		<ul>
			<li>Added lang attribute to support multiple locales</li>
			<li>Show insert form on the first page</li>
			<li>Fixed bug with textlength javascript not working</li>
			<li>Fixed a few minor bugs</li>
		</ul>
	</li>
	<li>
		<strong>Version 0.6</strong>
		<ul>
			<li>Redesigned source code for better readability</li>
			<li>Added lang attribute to support multiple locales</li>
			<li>Added showaddform parameter</li>
			<li>Fixed bug with textlength javascript not working in case of "Content" content type</li>
			<li>Merged vorzu and backzu templates into one</li>
			<li>Added template success_message.tpl</li>
			<li>Fixed a few minor bugs caused by mismatches in lang variable names</li>
		</ul>
	</li>
	<li>
		<strong>Version 0.5</strong>
		<ul>
			<li>The guestbook was modified with better design and functions, for example: Template based Content, Spam protection for inserted e-mails, etc.</li>
		</ul>
	</li>
	<li>
		<strong>Version 0.4</strong>
		<ul>
			<li>The gastbuch module is now a new module</li>
		</ul>
	</li>
</ul>
';
/**
*------------------------------------------------------
*Install & Uninstall & Help & Changelog end
*------------------------------------------------------
*/
?>
