<?php 

class GuestbookEntry
{
	var $sender;
	var $message;
	var $timestamp;
	var $active;
	
	function GuestbookEntry(&$sender, $message='', $active=false, $timestamp='')
	{
		$this->SetSender($sender);
		$this->SetMessage($message);
		$this->SetTimestamp($timestamp);
		$this->SetActive($active);
	}
	
	function GetSender()
	{
		return $this->sender;
	}
	
	function SetSender(&$sender)
	{
		$this->sender =& $sender;
	}
	
	function GetMessage($shorten_to=NULL)
	{
		if (isset($shorten_to))
		{
            $message=strip_tags($this->GetMessage());		  
			return strlen($message) > $shorten_to ? substr($message, 0, $shorten_to) . '...' : $message;
		}
		return $this->message;
	}
	
	function SetMessage($message)
	{
		$this->message = $message;
	}
	
	function GetTimestamp()
	{
		return $this->timestamp;
	}
	
	function SetTimestamp($timestamp)
	{
		$this->timestamp = $timestamp;
	}
	
	function GetActive()
	{
		return $this->active;
	}
	
	function SetActive($active)
	{
		$this->active = $active;
	}
	
	function IsActive()
	{
		return $this->GetActive();
	}
	
	function GetDate($dateformat='Y-m-d H:i:s')
	{
		return date($dateformat, strtotime($this->timestamp));
	}	
}

?>