<?php
class guestbookorm extends ormhandler
{
	var $needsequence=true;
	var $theindex='id';
	var $sequencename='module_guestbook_guestbook_seq';
	var $table='module_guestbook_guestbook';
	var $tablename='module_guestbook_guestbook';
	var $Insertplaceholder='?,?,?,?';
	var $Insertfields='id, name, descr, active';
	var $Updatesql='
	name=?, descr=?, active=?';
	var $allfields='id, name, descr, active';
	var $setdefault=array('id'=>-1);
	var $fieldsarraylist=array();
	var $rowclass= 'row1';
	
	function GuestbookGuestbook($name='', $description='', $active=true,$guestbookid='')
	{
		if($guestbookid!='')
		{
				$dataorm=$this->GetByID($guestbookid,true);			
		}
		else {
			$dataorm=$this->GetNewOrmObject();
		}
		
		$dataorm->SetVariable('name',$name);
		$dataorm->SetVariable('descr',$description);
		$dataorm->SetVariable('active',$active?1:0);
		return $dataorm->save();
		
	}
	
	function GetAllAsArray($dropdown=false,$array=array())
	{
		$dbresult=$this->GetAll();

		foreach($dbresult as $id=>$object)
		{
			$array[$id]= $object->GetVariable('name');
		}
		
		return $array;
	
	}
	
	function SetActiv($id,$active=true)
	{
		if($id!='')
		{
			$dataorm=$this->GetByID($id,true);
			$dataorm->SetVariable('active',$active?1:0);
			return $dataorm->save();
		}
		else {
			return false;
		}
		
		
		
	}
	
	function createfieldsarray()
	{
		if(count($this->fieldsarraylist)<1)
		{
			$explodedfields = explode(',',$this->allfields);
			foreach($explodedfields as $key=>$value)
			{
				array_push($this->fieldsarraylist,trim($value));
			}
		}
		
	}
	
	function RowAsStd($row)
	{
		$newstd = new stdClass();
		$this->createfieldsarray();
		foreach($this->fieldsarraylist as $key=>$value)
		{
			$newstd->$value=$row[$value];
		}
		$newstd->isactive=$row['active'] ? true : false;
		$newstd->rowclass = $this->rowclass;
		$this->switchrowclass();
		
		return $newstd;
	}
	
	function resetrowclass(){
		
		$this->rowclass='row1';
	}
	
	function switchrowclass()
	{
		$this->rowclass=$this->rowclass=='row1'?'row2':'row1';
	}
	
	
}
?>