<?php

class orm{

	var $thevariables;
	var $needsequence=true;
	var $theindex='';//sets the indexfield
	var $sequencename='';//sets the sequencetable
	var $tablename='';//sets the table
	var $Insertplaceholder=''; //sets the fieldsplaceholder
	var $Insertfields='';//sets the insertfields
	var $Updatesql='';//sets the updatesqlfields
	var $allfields='';//sets the allfieldsfields
	var $setdefault=array();//witch defaults are there
	var $having=false;
	var $module=false;
    var $ormclass='orm';

    function DoAfterSave($new_id)
    {
        return $new_id;
    }

    function ProcessTemplate($template)
    {
        $mymodule=$this->GetModuleInstance();
        if($mymodule)
        {
            return $mymodule->ProcessTemplate($template);
        }
        else
        {
        debug_buffer('smarty in modul not available,module not loaded');
            return 'smarty in modul not available,module not loaded';
        }
    }

    function GetModuleInstance($module='')
    {
        global $gCms;
        $module=(isset($module) && $module!=''?$module:'');
        $module1=(isset($this->module) && $this->module!=''?$this->module:'');
        if($module=='' && $module1=='')
        {
            debug_buffer('ModuleName() not defined properly in'.__FILE__.' at line '.__LINE__);
            return false;
        }
        else
        {
            $module=($module!=''?$module:$module1);
            $cmsmodules = &$gCms->modules;
            $neededmodul = (isset($module) && $module!=''?$module:$this->ModuleName());
            if (array_key_exists($neededmodul, $cmsmodules))
            {
                return $cmsmodules[$neededmodul]['object'];
            }
            else
            {
                debug_buffer('ModuleName() not defined properly in'.__FILE__.' at line '.__LINE__);
                return false;
            }
        }
    }



	function ormsetparams()
	{
		$this->thevariables=array();
		$allfieldsexploded=explode(',',$this->allfields);
		foreach($allfieldsexploded as $onefield)
		{
			$this->SetVariable(trim($onefield),'');
		}

		foreach($this->setdefault as $key=>$value)
		{
			$this->SetVariable(trim($key),str_replace('NOW()',date('Y-m-d H:i:s'),$value));
		}
	}

	function GetSaveParamArray($new_id,$mode='insert')
	{
		$modearray = array();
		if($mode=='insert')
		{
			if($new_id>0)
			{
				array_push($modearray,$new_id);
			}

				$insertfieldsexploded=explode(',',$this->Insertfields);
				foreach($insertfieldsexploded as $onefield)
				{
					if($this->needsequence)
					{
						if($onefield!=$this->theindex)
						{
						array_push($modearray,$this->GetVariable(trim($onefield)));
						}
					}
					else
					{
						array_push($modearray,$this->GetVariable(trim($onefield)));
					}
				}

		}
		elseif($mode=='update')
		{
			$insertfieldsexploded=explode(',',$this->Insertfields);
			foreach($insertfieldsexploded as $onefield)
			{
					if($onefield!=$this->theindex)
					{
					array_push($modearray,$this->GetVariable(trim($onefield)));
					}

			}

			array_push($modearray,$this->GetVariable(trim($this->theindex)));
		}
		return $modearray;
	}

	function GetVariable($name)
	{
		if(isset($this->thevariables[$name]))
		{
			return $this->thevariables[$name];
		}
		else
		{
			return '';
		}
	}

	function GetVariableUnix($name)
	{
		if(isset($this->thevariables[$name]))
		{
			return strtotime($this->thevariables[$name]);
		}
		else
		{
			return '';
		}
	}

	function SetVariable($name,$value)
	{
		$this->thevariables[$name]=$value;
		return $this->thevariables[$name];
	}

	function Save()
	{
	if($this->theindex=='' || $this->GetVariable($this->theindex)==-1)
	{
		$new_id=$this->Insert();
	}
	else
	{
		$new_id=$this->Update();
	}

	return $this->DoAfterSave($new_id);

	}

	function Insert()
	{
		global $gCms;
		$db = $gCms->GetDb();
		$new_id=-1;
		if($this->needsequence)
		{
		$new_id=$db->GenID(cms_db_prefix().$this->sequencename);
		}
		$sql = 'INSERT INTO '.cms_db_prefix().$this->tablename;
		$sql.= ' ('.$this->Insertfields.') VALUES ('.$this->Insertplaceholder.')';
		$dbresult=$db->Execute($sql,$this->GetSaveParamArray($new_id,'insert'));
		if($db->Affected_Rows()>0)
		{
			return $new_id;
		}
		else
		{
			return false;
		}
	}

	function Update()
	{
		global $gCms;
		$db = $gCms->GetDb();
		$sql = 'UPDATE '.cms_db_prefix().$this->tablename.' SET ';
		$sql.= $this->Updatesql;
		$sql.= ' WHERE '.$this->theindex.'=?';
		$db->Execute($sql,$this->GetSaveParamArray('','update'));
		if($db->Affected_Rows()>0)
		{
			return $this->GetVariable($this->theindex);
		}
		else
		{
			return false;
		}
	}



}

class ormhandler
{

var $values;
var $needsequence=true;
	var $theindex='medium_id';//sets the indexfield
	var $sequencename='module_warehouse_medium_seq';//sets the sequencetable
	var $table='module_warehouse_medium';//sets the table
	var $Insertplaceholder='?,?,?,?,?,?,?,?,?,?'; //sets the fieldsplaceholder
	var $Insertfields='medium_id,
	name,
	shortinfo,
	descreption,
	mediumtype,
	amount,
	purchase,
	disposition,
	kndID,
	seller_id';//sets the insertfields
	var $Updatesql='
	name=?,
	shortinfo=?,
	descreption=?,
	mediumtype=?,
	amount=?,
	purchase=?,
	disposition=?,
	kndID=?,
	seller_id=?';//sets the updatesqlfields
	var $allfields='medium_id,
	name,
	shortinfo,
	descreption,
	mediumtype,
	amount,
	purchase,
	disposition,
	kndID,
	seller_id';//sets the allfieldsfields
	var $setdefault=array('medium_id'=>-1,'seller_id'=>-1,'kndID'=>NULL);//witch defaults are there
	var $orderby=false;
	var $where = false;
	var $limit = false;
	var $offset =false;
	var $groupby = false;
	var $sql = '';
	var $spezialfields = false;
	var $params = array();
	var $csvfields=false;
	var $convertcharset=false;
	var $having=false;
	var $module=false;
	var $ormclass='orm';

    function ProcessTemplate($template)
    {
        $mymodule=$this->GetModuleInstance();
        if($mymodule)
        {
            return $mymodule->ProcessTemplate($template);
        }
        else
        {
            return 'smarty in modul not available,module not loaded';
        }
    }

    function GetModuleInstance($module='')
    {
        global $gCms;
        $module=(isset($module) && $module!=''?$module:'');
        $module1=(isset($this->module) && $this->module!=''?$this->module:'');
        if($module=='' && $module1=='')
        {
            debug_buffer('ModuleName() not defined properly in'.__FILE__.' at line '.__LINE__);
            return false;
        }
        else
        {
            $module=($module!=''?$module:$module1);
            $cmsmodules = &$gCms->modules;
            $neededmodul = (isset($module) && $module!=''?$module:$this->ModuleName());
            if (array_key_exists($neededmodul, $cmsmodules))
            {
                return $cmsmodules[$neededmodul]['object'];
            }
            else
            {
                debug_buffer('ModuleName() not defined properly in'.__FILE__.' at line '.__LINE__);
                return false;
            }
        }
    }

    function GetGlobalId()
    {
    global $id;
    return $id;

    }


	function mediumhandler()
	{
		$this->values = array();

	}

	function ClearSql()
	{
		$this->orderby = false;
		$this->where = false;
		$this->limit = false;
		$this->offset = false;
		$this->groupby = false;
		$this->spezialfields = false;
		$this->params = array();
		$this->sql = '';
		$this->having=false;
	}

	function GetByID($supportID,$onlyobj=false)
	{
		$db = cmsms()->GetDb();
		$sql = 'SELECT '.$this->allfields.' FROM '.cms_db_prefix().$this->table.' WHERE '.$this->theindex.'=?';
		$dbresult= $db->Execute($sql,array($supportID));
		return $this->DbresulttoObject($dbresult,$onlyobj);
	}

	function DeleteByID($supportID,$overwriteindex=false)
	{
		
		$db = cmsms()->GetDb();
		$sql = 'DELETE FROM '.cms_db_prefix().$this->table.' WHERE '.($overwriteindex?$overwriteindex:$this->theindex).'=?';
		$db->Execute($sql,array($supportID));
		if($db->Affected_Rows()>0)
		{
			return $supportID;
		}
	}

	function DbresulttoObject($dbresult,$onlyobj=false)
	{
		$newobj=null;
		if($dbresult && $dbresult->RecordCount()>0)
		{
			while($row = $dbresult->FetchRow())
			{
				$newobj = $this->GetNewOrmObject();
				$allfieldsexploded=explode(',',$this->allfields);
				foreach($allfieldsexploded as $onefield)
				{
					$newobj->SetVariable(trim($onefield),$row[trim($onefield)]);
				}
			        $this->values[$row[$this->theindex]]= $newobj;
			}
		}
		if($onlyobj)
		{
			return $newobj;
		}
		else
		{
			return $this->values;
		}
	}
	
	function GetAll($asresult=false,$asrow=false)
	{
		$this->spezialfields=$this->allfields;
	
		return $this->GetSpezial($asresult,$asrow);
	}

	function GetSpezial($asresult=false,$asrow=false)
	{

	     $sql = 'SELECT '.$this->spezialfields.' FROM '.cms_db_prefix().$this->table;
	     if($this->where)
	     {
	     	$sql.=$this->where;
	     }

	     if($this->groupby)
	     {
	         $sql.= ' GROUP BY '.$this->groupby;

	     }

	     if($this->orderby)
	     {
	     	$sql.= ' ORDER BY '.$this->orderby;
	     }

	     if($this->having)
	     {
	     	$sql.= ' HAVING '.$this->having;
	     }



	     else
	     {
             if($this->limit)
            {
                $sql.= ' LIMIT';
                if($this->offset)
                {
                    $sql.= $this->offset.', ';
                }
                $sql.= $this->limit;

            }
	     }
	     $this->sql = $sql;

        if($asrow)
        {
            $dbresultrow=$this->ForceRowSql($sql);
            return $dbresultrow;
        }
        else
        {
			$dbresult= $this->ForceSql($sql);

            if($asresult)
            {
                return $dbresult;
            }
            else
            {
                return $this->DbresulttoObject($dbresult);
            }
        }
	}

    function ForceSql($sql)
    {
        $db = cmsms()->GetDb();

        if(count($this->params)>0)
        {
            $dbresult= &$db->Execute($sql,$this->params);
        }
        else
        {
            $dbresult= &$db->Execute($sql);
        }
        return $dbresult;
    }

    function ForceRowSql($sql=false)
    {
        $db = cmsms()->GetDb();

        if(count($this->params)>0)
        {
            $dbresult= &$db->GetRow($sql,$this->params);
        }
        else
        {
            $dbresult= &$db->GetRow($sql);
        }
        return $dbresult;
    }


	function GetNewOrmObject()
	{
        $ormclass=(isset($this->ormclass) && $this->ormclass!='' && class_exists($this->ormclass)?$this->ormclass:'orm');
		$newobj = new $ormclass();
		$newobj->needsequence=$this->needsequence;
		$newobj->theindex=$this->theindex;
		$newobj->sequencename=$this->sequencename;
		$newobj->tablename=$this->table;
		$newobj->Insertplaceholder=$this->Insertplaceholder;
		$newobj->Insertfields=$this->Insertfields;
		$newobj->Updatesql=$this->Updatesql;
		$newobj->allfields=$this->allfields;
		$newobj->setdefault=$this->setdefault;
		$newobj->module=$this->module;
		$newobj->ormsetparams();

		return $newobj;
	}

	function GetMapDataFromCSV($file)
	{
		$csvfields=explode(',',$this->csvfields);
		$row = 1; // Anzahl der Arrays
		$handle = fopen ($file,"r"); // Datei zum Lesen öffnen
		$valuemaparray=array();
		while ( ($data = fgetcsv ($handle, 1000, ";")) !== FALSE ) { // Daten werden aus der Datei
			$valuearray=array();
			// in ein Array $data gelesen
			$num = count ($data) -1; // Felder im Array $data
			// werden gezählt
// 			print "<p> $num fields in line $row: <br>\n";
			$row++; // Anzahl der Arrays wird
			// inkrementiert
			for ($c=0; $c < $num; $c++) { // FOR-Schleife, um Felder
				if($this->convertcharset)
				{
					$valuearray[$csvfields[$c]]=utf8_encode($data[$c]); // des Arrays auszugeben
				}
				else
				{
					$valuearray[$csvfields[$c]]=$data[$c]; // des Arrays auszugeben
				}
			}
			array_push($valuemaparray,$valuearray);
		}
		fclose ($handle);

		return $valuemaparray;

	}

}
?>