{if $paginate.total > 0}
<div class="cms-guestbook-pagination">
	<div class="cms-guestbook-pagination_header">
		{$pagination_message} {$paginate.first}-{$paginate.last} {$pagination_of} {$paginate.total}.<br />
	</div>
{if $paginate.total > $paginate.limit}
	<div class="cms-guestbook-pagination_nav">
		{paginate_first text=$first_text instance=$paginate}
		{paginate_prev text=$prev_text instance=$paginate} 
		{paginate_middle page_limit="5" instance=$paginate}
		{paginate_next text=$next_text instance=$paginate}
		{paginate_last text=$last_text instance=$paginate}
	</div>
{/if}
</div>

{foreach from=$entries item=entry}
<div class="cms-guestbook-entry">
	<div class="cms-guestbook-entry-header">
		<div class="cms-guestbook-entry-posted">
			{$entry->GetDate()|date_format:$dateformat}
		</div>
		<div class="cms-guestbook-entry-sender">
			<span class="cms-guestbook-entry-sendername">{$entry->sender->name}</span>
{if $entry->sender->location or $entry->sender->country}({/if}
{if $entry->sender->location}
			<span class="cms-guestbook-entry-location">{$entry->sender->location}</span>
{/if}
{if $entry->sender->location and $entry->sender->GetCountry()}, {/if}
{if $entry->sender->country}
			<span class="cms-guestbook-entry-country">{$entry->sender->country}</span>
{/if}
{if $entry->sender->location or $entry->sender->country}){/if}
{if $entry->sender->email}
			<span class="cms-guestbook-entry-email">
{mailto address=$entry->sender->GetEmail() encode="hex" text=$entry->sender->GetEmailCloaked() extra="title=\"`$titles.e_mail` `$entry->sender->name`\""}
			</span>
{/if}
		</div>
{if $entry->sender->GetHomepage()}
		<div class="cms-guestbook-entry-homepage">
			{$titles.homepage}: <a href="http://{$entry->sender->homepage}">{$entry->sender->homepage}</a>
		</div>
{/if}
	</div>
	<div class="cms-guestbook-entry-text">
		{$entry->message}
	</div>
</div>
{/foreach}
{/if}
